import java.awt.*;
import javax.swing.*;

/**
 * Klasse für Erstellung von looseScreen Objekten
 * Dient zur Anzeige das ein Spiel verloren wurde
 */
public class LooseScreen extends JPanel {
    JLabel looseLabel = new JLabel("Du hast Verloren");
    JButton okButton = new JButton("Zurück zum Hauptmenü");
    Font robotoFont = new Font("Roboto", Font.BOLD, 45);

    /**
     * Konstruktor der LooseScreen Klasse
     * @param frame Der Mainframe der Anwendung über den alle Panels angezeigt werden.
     * @author Lucas Bronson
     */
    public LooseScreen(MainFrame frame) {
        setLayout(new BorderLayout());
        buildPanel(frame);
    }

    /**
     * Panel bauen/Objekte hinzufügen
     * @param frame Der Mainframe der Anwendung über den alle Panels angezeigt werden.
     * @author Lucas Bronson
     */
    public void buildPanel(MainFrame frame) {
        add(looseLabel);
        okButton.setBounds(650,525,200,50);
        looseLabel.setBounds(500,450,500,50);
        looseLabel.setFont(robotoFont);
    }
}
